<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{i18ntext.lngText('detail_shift')}}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left:285px">
          <router-link to="menustock"><a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit">{{i18ntext.lngText('detail_shift')}}</font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <!--#contents -->

        <div class="search-box mb-4">
          <ul class="dropdown-menu">
            <li>
              <a @click="getproductboom()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticboomId" tabindex="10028">
                <i class="fa-solid fa-circle-b"></i> Boom Product
              </a>
            </li>
            <li>
              <a @click="getsuppliyerview()" class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                data-bs-target="#staticboomId" tabindex="10028">
                <i class="fa fa-print" aria-hidden="true"></i>
                Print
              </a>
            </li>
            <li>
              <a class="dropdown-item" data-bs-toggle="modal" data-bs-target="#staticBackdropss" tabindex="10028"
                href="#">
                <i class="fas fa-file-excel"></i> To Excel
              </a>
            </li>
            <li>
              <a class="dropdown-item btn btn-primary" data-bs-toggle="modal" data-bs-target="#staticBackdropss"
                tabindex="10028">
                <i class="fas fa-edit"></i> Release
              </a>
            </li>
          </ul>
          <div class="search-title" style="padding-left:2rem">
            <router-link to="/pos">
              <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                <i class="fa-sharp fa fa-arrow-left"></i>
                {{i18ntext.lngText('POS')}}
              </a>
            </router-link>

            <a id="menu-1" class="btn-radius bt-pn btn btn-sm" data-bs-toggle="dropdown" aria-expanded="false"
              style="float: right; color: #f8f5b4; margin-top: 0;margin-right: 0; margin-left: auto;">
              <i class="fas fa-plus"></i>
              {{i18ntext.lngText('menu')}}
            </a>
            <ul class="dropdown-menu">
              <li>
                <a  class="dropdown-item btn btn-primary" data-bs-toggle="modal"
                  data-bs-target="#staticboomId" tabindex="10028">
                  <i class="fa fa-print" aria-hidden="true"></i>
                  {{i18ntext.lngText('print')}}
                </a>
              </li>
            </ul>
          </div>
          <input autocomplete="off" id="search" name="search" type="hidden" value="1" />
          <div class="box">
            <table width="100%" border="0" cellpadding="0" cellspacing="0" class="table table-striped br-table">
              <thead>
                <tr class="header-table">
                  <th colspan="7">
                    <input autocomplete="off" style="width: 100%;" v-model="formSearch.name" @input="isEmpty()" @change="changeSearchText('name')" name="search"
                      placeholder="Employee ID, Employee Name, Description, Deposit, Deposit2, Exchange rate"
                      type="search" id="search" class="text" />
                  </th>
                  <th class="exp">
                    <div>
                      <span>
                        <input autocomplete="off" v-model="formSearch.startDate" @change="changeSearchText('start')" id="search"
                          name="search" type="date" class="text" placeholder="Search"
                          style="margin-right: 0px !important;width: 85px;">
                      </span>
                      <span style="margin: 0px 3px;">To</span>
                      <span>
                        <input autocomplete="off" id="search" name="search" type="date" v-model="formSearch.endDate"
                          @change="changeSearchText('end')" class="text" placeholder="Search"
                          style="margin-right: 0px !important;width: 85px;">
                      </span>
                    </div>
                  </th>
                  <th>
                    <div class="button type2" id="uniform-undefined"><span @click="getclose()"><input autocomplete="off" type="button"
                          class="type2" tabindex="10025" value="display" style="opacity: 0;"><i class="fa fa-search"
                          aria-hidden="true"></i>{{i18ntext.lngText('search')}}</span>
                    </div>
                  </th>
                </tr>
                <tr class="header-table">
                  <th style="width: 4%;">{{i18ntext.lngText('no')}}</th>
                  <th style="width: 11%;">{{i18ntext.lngText('employee_name')}}</th>
                  <th style="min-width: 35% !important;">{{i18ntext.lngText('description')}}</th>
                  <th style="width: 8%;">{{i18ntext.lngText('dep-kh')}}</th>
                  <th style="width: 8%;">{{i18ntext.lngText('dep-us')}}</th>
                  <th style="width: 9%;">{{i18ntext.lngText('exchangerate')}}</th>
                  <th style="width: 9%;">{{i18ntext.lngText('amount')}}</th>
                  <th style="width: 10%;">{{i18ntext.lngText('date')}}</th>
                  <th style="width: 10%;"></th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="item in items.data">
                  <td>{{ item.id }}</td>
                  <td>{{ item.user_name }}</td>
                  <td>{{ item.description }}</td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.deposit).toLocaleString() }} <span>$</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.deposit2).toLocaleString() }} <span>៛</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.exchane_rate).toLocaleString() }} <span>៛</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ Number(item.total_amountusd).toLocaleString() }} <span>$</span>
                    </div>
                  </td>
                  <td>
                    <div class="d-flex justify-content-end">
                      {{ item.created_at }}
                    </div>
                  </td>
                  <td style="display: flex;justify-content: center;">
                    <div class="button type2" id="uniform-undefined"><span @click="getcloseshift(item)"><input autocomplete="off"
                          type="button" class="type2" tabindex="10025" value="display" style="opacity: 0;">{{ i18ntext.lngText('detail') }}</span>
                    </div>
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="box-footer-pagination">
              <pagination :limit="2" :data="items" @pagination-change-page="getclose" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade ui-modal" id="staticboomId" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticboomId" aria-hidden="true">
    <div class="modal-dialog" style="max-width: 85% !important;">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel"><i class="fa fa-print" aria-hidden="true"></i>
            {{ i18ntext.lngText('print') }}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body">
              <div class="mt-3 print-size">
                <div style="padding:0 50px 0 50px; background-color: #fff;" id="purchaseorder">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{i18ntext.lngText('detail_shiftRep')}}</h3>
                    </div>
                  </div>
                  <div class="col-container">
                    <div class="col1">
                      <p class=" p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('name') }} :</span> <span id="fon">{{ company.company_name
                      }}</span></p>
                      <p class="p-mg  info-pad"><span id="bold">{{ i18ntext.lngText('phone') }} :</span> <span id="fon">{{
                        company.company_Phone }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('email') }} :</span> <span id="fon">{{
                        company.company_Email }}</span></p>
                      <p class="p-mg info-pad"><span id="bold">{{ i18ntext.lngText('address') }} :</span> <span id="fon">{{
                        company.company_Address }}</span></p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('onhand-total') }}.</p>
                      <p class="text-center p-mg"></p>
                    </div>
                  </div>
                  <div class=" my-2  justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg">
                          <th class="text-center">{{ i18ntext.lngText('user_id') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('name') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('description') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('dep-us') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('dep-kh') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('exchangerate') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('amount') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('date') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in print" :key="item.index">
                          <td>{{ item.id }}</td>
                          <td>{{ item.user_name }}</td>
                          <td>{{ item.description }}</td>
                          <td>{{ Number(item.deposit).toLocaleString() }} <span>$</span></td>
                          <td>{{ Number(item.deposit2).toLocaleString() }} <span>៛</span></td>
                          <td>{{ Number(item.exchane_rate).toLocaleString() }} <span>៛</span></td>
                          <td>{{ Number(item.total_amountusd).toLocaleString() }} <span>$</span></td>
                          <td>{{ formatdatetime(item.created_at) }}</td>
                        </tr>
                        
                      </tbody>
                    </table>
                  </div>

                  <hr>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button v-print="'#purchaseorder'" class="btn-purchase btn-light text-capitalize border-0">
            <i class="fa fa-print text-primary"></i> {{ i18ntext.lngText('print') }}
          </button>
        </div>
      </div>
    </div>
  </div>
  <!-- detail close shif view  -->
   <div class="modal fade ui-modal" id="closeshift" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="staticBackdropss" aria-hidden="true">
    <div class="modal-dialog open-form" id="nonbackgroundboom">
      <div class="modal-content ui-dialog" style="height: 565px !important;">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">{{i18ntext.lngText('detail_shiftRep')}}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div style="background: #fff; overflow: scroll">
          <div>
            <div id="menu" style="padding: 0 40px; margin-bottom: 20px; max-height: 500px;">
              <h4 class="text-center open-h4">{{i18ntext.lngText('employee_info_form')}}</h4>
              <div class="right-path-line shift-line"></div>
              <p class="label-text">{{i18ntext.lngText('employee_name')}}</p>
              <input autocomplete="off" :disabled="true" v-model="Employee_Name" type="text" name="EmpName1" class="open-input"
                placeholder="Enter your name" />
              <p class="label-text">{{i18ntext.lngText('change')}}</p>
              <div class="d-flex justify-content-between">
                <div style="width: 45%">
                  <input autocomplete="off" :disabled="true" v-model="formOpen.deposit" type="text" name="deposit" class="open-input"
                    placeholder="0.00 USD" />
                  <p class="open-cur">{{i18ntext.lngText('usd')}}</p>
                </div>
                <div style="width: 45%">
                  <input autocomplete="off" :disabled="true" v-model="formOpen.deposit2" type="text" name="deposit2" class="open-input"
                    placeholder="0.00 Reil" />
                  <p class="open-cur">{{i18ntext.lngText('riel')}}</p>
                </div>
              </div>
              <div class="modal-content ui-dialog" style="margin-bottom: 6px; box-shadow: 0px 0px 1px 0px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{i18ntext.lngText('pos_payment')}} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{ formatPrice(sum_total_usd)
                  }}$</h3>
                </div>
                <table id="pr-tb" class="mt-3">
                  <thead>
                    <tr>
                      <th class="text-center p-2">{{i18ntext.lngText('no')}}</th>
                      <th class="text-center p-2">{{i18ntext.lngText('payment_method')}}</th>
                      <th colspan="3" class="text-center p-2">{{i18ntext.lngText('total')}}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item, index) in pos_sale_item">
                      <td class="p-2">{{ index + 1 }}</td>
                      <td class="p-2">{{ item.paymeny_method }}</td>
                      <td class="p-2">{{ formatPrice(item.total_amount_usd) }}$</td>
                      <td class="p-2">{{ formatPrice(item.total_amount) }}៛</td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <!-- <div class="modal-content ui-dialog" style=" margin-bottom: 6px; box-shadow: 0px 0px 1px 0px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{i18ntext.lngText('pre_payment')}} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{ formatPrice(sum_pre) }}៛</h3>
                </div>
                <table id="pr-tb" class="mt-3">
                  <thead>
                    <tr>
                      <th class="text-center p-2">{{i18ntext.lngText('no')}}</th>
                      <th class="text-center p-2">{{i18ntext.lngText('payment_method')}}</th>
                      <th colspan="3" class="text-center p-2">{{i18ntext.lngText('total')}}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item,index) in prescription_sale_item">
                      <td class="p-2">{{ index+1 }}</td>
                      <td class="p-2">{{ item.paymeny_method }}</td>
                      <td class="p-2">{{formatPrice(item.total_amount_usd) }}$</td>
                      <td class="p-2">{{formatPrice(item.total_amount) }}៛</td>
                    </tr>
                  </tbody>
                </table>
              </div> -->
              <!-- <div class="modal-content ui-dialog" style=" margin-bottom: 6px; box-shadow: 0px 0px 1px 0px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{i18ntext.lngText('labo_payment')}} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{ formatPrice(sum_labo) }}៛</h3>
                </div>
                <table id="pr-tb" class="mt-3">
                  <thead>
                    <tr>
                      <th class="text-center p-2">{{i18ntext.lngText('no')}}</th>
                      <th class="text-center p-2">{{i18ntext.lngText('payment_method')}}</th>
                      <th colspan="3" class="text-center p-2">{{i18ntext.lngText('total')}}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item,index) in labo_sale_item">
                      <td class="p-2">{{ index+1 }}</td>
                      <td class="p-2">{{ item.paymeny_method }}</td>
                      <td class="p-2">{{formatPrice(item.total_amount_usd) }}$</td>
                      <td class="p-2">{{formatPrice(item.total_amount) }}៛</td>
                    </tr>
                  </tbody>
                </table>
              </div> -->
              <div class="close-total">
                <table id="pr-tb" style="width:350px;">
                  <tr>
                    <td class="p-2" style="width: 127px;">{{i18ntext.lngText('total_amount')}}</td>
                    <td class="p-2">{{ formatPrice(sum_total_usd) }}$</td>
                    <td class="p-2">{{ formatPrice(sum_total) }}៛</td>
                  </tr>
                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="open-button" data-bs-toggle="modal" data-bs-target="#closeshift1">
            {{i18ntext.lngText('print')}}
          </button>
        </div>
      </div>
    </div>
  </div>
  <!-- print detail  -->
  <div class="modal fade ui-modal" id="closeshift1" data-bs-backdrop="static" data-bs-keyboard="false"
    tabindex="-1" aria-labelledby="staticBackdropss" aria-hidden="true">
    <div class="modal-dialog open-form" id="nonbackgroundboom" style="max-width: 400px !important;">
      <div class="modal-content ui-dialog" style="height: 545px !important;">
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">{{i18ntext.lngText('close_shift')}}</h5>
          <span class="ui-icon ui-icon-closethick" data-bs-dismiss="modal" aria-label="Close"></span>
        </div>
        <div style="background: #fff; overflow: scroll">
          <div id="paypos1">
            <div id="menu" style="padding: 0 20px; margin-bottom: 20px; max-height: 500px;">
              <h4 class="open-h4" style="text-align: center;">{{i18ntext.lngText('close_report')}}</h4>
              <div style="width: 100%;border-bottom: 1px solid black;margin-left: auto;margin-right: auto;"></div>
              <p class="label-text"
                style="text-align: center;color: black !important;margin: 15px 0 10px 0;font-size: 16px;font-weight: 550;">
                {{ i18ntext.lngText('employee_name') }}</p>
              <p :disabled="true" name="EmpName1" class="open-input" placeholder="Enter your name"
                style="width: 100% !important;border: 1px solid black;border-radius: 4px;padding: 2px 10px;font-size: 16px;color: black;font-weight: 550;">
                {{ Employee_Name }}</p>
              <p class="label-text">{{ i18ntext.lngText('change') }}</p>
              <table style="width: 100%;">
                <tbody>
                  <div style="display: flex;justify-content: space-between;">
                    <div style="width: 45%;">
                      <input autocomplete="off"
                        style="width: 100%;border: 1px solid black;border-radius: 4px;padding: 2px 10px;font-size: 16px;color: black;font-weight: 550;"
                        :disabled="true" v-model="formOpen.deposit" type="text" name="deposit" class="open-input"
                        placeholder="0.00 USD" />
                      <p class="open-cur">{{ i18ntext.lngText('usd') }}</p>
                    </div>
                    <div style="width: 45%;">
                      <input autocomplete="off"
                        style="width: 100%;border: 1px solid black;border-radius: 4px;padding: 2px 10px;font-size: 16px;color: black;font-weight: 550;"
                        :disabled="true" v-model="formOpen.deposit2" type="text" name="deposit2" class="open-input"
                        placeholder="0.00 Reil" />
                      <p class="open-cur">{{ i18ntext.lngText('riel') }}</p>
                    </div>
                  </div>
                </tbody>
              </table>
              <div
                style="border-radius: 5px !important; margin-bottom: 6px; border: 1px solid black;width: 100%;padding: 2px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{ i18ntext.lngText('pos_payment') }} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{
                    formatPrice(sum_total_usd) }}$</h3>
                </div>
                <table id="pr-tb" class="mt-3"
                  style="border: 1px solid black; width: 100%;border-collapse: collapse;border-spacing: 0;">
                  <thead>
                    <tr>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('no') }}</th>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('payment_method') }}</th>
                      <th style="border: 1px solid black;" colspan="3" class="text-center p-2">{{ i18ntext.lngText('total') }}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item, index) in pos_sale_item">
                      <td style="border: 1px solid black;" class="p-2">{{ index + 1 }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ item.paymeny_method }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount_usd) }}$</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount) }}៛</td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <!-- <div style="border-radius: 5px !important; margin-bottom: 6px; border: 1px solid black;width: 100%;padding: 2px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{ i18ntext.lngText('pre_payment') }} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{
                    formatPrice(sum_pre)  }}៛</h3>
                </div>
                <table id="pr-tb" class="mt-3"
                  style="border: 1px solid black; width: 100%;border-collapse: collapse;border-spacing: 0;">
                  <thead>
                    <tr>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('no') }}</th>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('payment_method') }}</th>
                      <th style="border: 1px solid black;" colspan="3" class="text-center p-2">{{ i18ntext.lngText('total') }}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item, index) in prescription_sale_item">
                      <td style="border: 1px solid black;" class="p-2">{{ index + 1 }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ item.paymeny_method }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount) }}៛</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount_usd) }}$</td>
                    </tr>
                  </tbody>
                </table>
              </div> -->
              <!-- <div style="border-radius: 5px !important; margin-bottom: 6px; border: 1px solid black;width: 100%;padding: 2px;">
                <div>
                  <h3 style="margin-top: 10px; margin-left: 6px;font-size: 14px;float: left;">{{ i18ntext.lngText('labo_payment') }} :</h3>
                  <h3 style="margin-top: 10px; margin-right: 6px;font-size: 14px;float: right;">{{
                    formatPrice(sum_labo) }}៛</h3>
                </div>
                <table id="pr-tb" class="mt-3"
                  style="border: 1px solid black; width: 100%;border-collapse: collapse;border-spacing: 0;">
                  <thead>
                    <tr>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('no') }}</th>
                      <th style="border: 1px solid black;" class="text-center p-2">{{ i18ntext.lngText('payment_method') }}</th>
                      <th style="border: 1px solid black;" colspan="3" class="text-center p-2">{{ i18ntext.lngText('total') }}</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr v-for="(item, index) in labo_sale_item">
                      <td style="border: 1px solid black;" class="p-2">{{ index + 1 }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ item.paymeny_method }}</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount) }}៛</td>
                      <td style="border: 1px solid black;" class="p-2">{{ formatPrice(item.total_amount_usd) }}$</td>
                    </tr>
                  </tbody>
                </table>
              </div> -->
              <div style="height: 40px;margin-left: auto;float: right;margin-top: 10px;">
                <table id="pr-tb"
                  style="border: 1px solid black;width: 100%;border-collapse: collapse;border-spacing: 0;">
                  <tr>
                    <td class="p-2" style="width: 127px; border: 1px solid black;">{{ i18ntext.lngText('total') }}</td>
                    <td class="p-2" style="border: 1px solid black;">{{ formatPrice(sum_total_usd) }}$</td>
                    <td class="p-2" style="border: 1px solid black;">{{ formatPrice(sum_total) }}៛</td>
                  </tr>
                </table>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button @click="printDivContent()" type="submit" class="open-button">
            {{ i18ntext.lngText('print') }}
          </button>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>

<script>
import axios from "axios";
import { useCurrentTime } from "../../componentJS/date";
import pagination from "laravel-vue-pagination";
import moment from "moment";
import Footer from "../footer.vue"
import Logo from "../logo.vue"
import print from 'vue3-print-nb';
import Auth from "../../auth/Auth";
import Header from "../Header.vue";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";
export default {
  components:
  {
    Header, Logo, pagination, Footer,UserInfo
  },
  setup() {
    const { currentTime } = useCurrentTime();
    return { currentTime };
  },
  directives: {
    print
  },
  data() {
    return {
      i18ntext: i18n,
      Categories: [],
      selectdate: '',
      selectmoth: '',
      selectyear: '',
      links: [],
      company: [],
      perPage: "",
      currentPage: 0,
      last_page: 1,
      action_api: "",
      action_api_1: "",
      formatdate: "",
      isDisabled: false,
      items: [],
      search: "",
      form: {
        id: "",
        user_code: "",
        user_name: "",
        deposit: "",
        deposit2: "",
        exchane_rate: "",
        total_amount: "",
        total_amountusd: "",
        description: "",
        created_at: "",
      },
      formSearch: {
        name: "",
        startDate: "",
        endDate: "",
      },
      formOpen: {
        id: "",
        description: "",
        deposit: "",
        deposit2: "",
        curency: "",
        statue: "",
        created_by: Auth.user.id,
        updated_by: '',
      },
      getcloseshifts: [],
      getamount: 0,
      total_amountusd: 0,
      Employee_Name: Auth.user.user_name,
      pos_sale_item : [],
      sum_pos :0,
      prescription_sale_item : [],
      sum_pre : 0,
      labo_sale_item : [],
      sum_labo : 0,

      sum_total : 0,
      sum_total_usd :0,
      number_page : 1,
      print : []
    };
  },

  mounted() {
    this.selectdate = moment(new Date()).format('YYYY-MM-DD');
    this.selectmoth = moment(new Date()).format('YYYY-MM');
    this.selectyear = moment(new Date()).format('YYYY');
    this.getcompany();
    if(this.$route.query.page != 1){
      this.number_page = this.$route.query.page;
      axios.post("api/v1/sale/getclose/" + Auth.user.user_code + "?page=" + this.number_page, this.formSearch)
        .then(res => {
          this.items = res.data.data;
          this.print = res.data.print;
          this.items.data.forEach(element => {
            element.created_at = moment(element.created_at).format('DD-MM-YYYY');
          });
        })
    }else{
      this.getclose()
    }
   
  },

  methods: {
    isEmpty(){
      if(this.formSearch.name == ''){
        this.getclose();
      }
    },
    formatyear() {
      document.querySelector("input[type=number]")
        .oninput = e => console.log(e.target.valueAsNumber);
    },
    getclose(page = 1) {
        this.$router.push({name: 'detailshif', query: {page : page}})
      axios.post("api/v1/sale/getclose/" + Auth.user.user_code + "?page=" + page, this.formSearch)
        .then(res => {
          this.items = res.data.data;
          this.print = res.data.print;
          this.items.data.forEach(element => {
            element.created_at = moment(element.created_at).format('DD-MM-YYYY');
          });
        })
    },
    getcompany() {
      axios.get("/api/v1/getSetup/")
        .then((response) => {
          this.company = response.data;
          this.dateformart = moment(new Date()).format('DD-MM-YYYY');
        });
    },

    changeSearchText(label) {
      if (label == 'name') {
        this.formSearch = {
          name: this.formSearch.name,
          startDate: '',
          endDate: '',
        }
      }
      else if (label == 'start') {
        this.formSearch = {
          name: "",
          startDate: this.formSearch.startDate,
          endDate: "",
        }
      }
      else if (label == 'end') {
        this.formSearch = {
          name: "",
          startDate: this.formSearch.startDate,
          endDate: this.formSearch.endDate,
        }
      }

      else {
        this.formSearch = {
          name: '',
          startDate: '',
          endDate: '',
        }
      }
    },
    getcloseshift(data) {
      
      data.created_by = Auth.user.id;
      this.formOpen = data
      this.formOpen.updated_by = Auth.user.id;
      axios.post("/api/v1/pos/detailcloseshif", this.formOpen)
        .then((res) => {
          this.pos_sale_item = res.data.pos[0].element
          this.sum_pos = res.data.pos[0].total

          this.prescription_sale_item = res.data.pre[0].element
          this.sum_pre = res.data.pre[0].total

          this.labo_sale_item = res.data.labo[0].element
          this.sum_labo = res.data.labo[0].total
          this.sum_total = res.data.total
          this.sum_total_usd = res.data.total_usd

        });
        $('#closeshift').modal('show');
    },
    formatPrice(value, cur) {
      if (cur == "KHR") cur = "r";
      try {
        var formatter = new Intl.NumberFormat("en-US", {
          style: "currency",
          currency: cur,
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      } catch (error) {
        var formatter = new Intl.NumberFormat("en-US", {
          minimumFractionDigits: 2,
        });
        return formatter.format(value);
      }
    },
    formatdatetime(dateform) {
      try {
        return moment(dateform).format("DD-MM-YYYY");
      } catch (error) {
        return dateform;
      }
    },
    async printDivContent() {
      var contentOfDiv = document.getElementById("paypos1").outerHTML;
      var newWin = window.open('invoice', '', 'height=auto, width=400');
      await newWin.document.write('<title>Print Content of Div element by  using Javascript</title>');
      await newWin.document.write('<link rel="stylesheet" href="css/style.css">');
      await newWin.document.write('<link rel="stylesheet" href="css/pstyle.css">');
      await newWin.document.write('<link rel="stylesheet" href="css/body_invoice.css">');
      await newWin.document.write(contentOfDiv);
      newWin.document.close();
      await newWin.print();
      newWin.window.close();
      this.getdataPos();
    },

  },
};
</script>